Issue 30015

Summary: Enhance "Always save a version on closing" so that it works also when a document is saved manually and then closed
Product: Writer Reporter: watersrw <r.w.waters>
Component: uiAssignee: AOO issues mailing list <issues>
Status: REOPENED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: hanya.runo, issues, mike, oooforum, pescetti, victor.sigal
Version: OOo 1.1.1   
Target Milestone: ---   
Hardware: PC   
OS: Windows XP   
Issue Type: ENHANCEMENT Latest Confirmation in: 4.2.0-dev
Developer Difficulty: ---
Attachments:
Description Flags
i *think* the problem occurs with this file - certainly I have never had it work with any of my files... none

Description watersrw 2004-06-09 12:41:03 UTC
I have the save a copy when exiting in versions under file menu set to on, yet
the only copies saved are those when I manually click save in the versions
dialogue box
Comment 1 watersrw 2004-06-09 12:42:07 UTC
Created attachment 15768 [details]
i *think* the problem occurs with this file - certainly I have never had it work with any of my files...
Comment 2 michael.ruess 2004-06-09 15:47:45 UTC
MRU->HI: please have a look.
Comment 3 h.ilter 2004-06-09 16:30:57 UTC
Hello watersrw, please attend that this feautre will automaticaly only work by
closing the modified file without save it before.
- Open your attached doc
- Modify it
- Menu File - Close
- Answer following question to save with yes
- Open file again
- Check the version
-> A new version should be added
Please inform me about your result.
Comment 4 watersrw 2004-06-10 12:29:47 UTC
I followed through your instructions and it did save a copy this time.  I always
save then exit - why does Writer not save a version when this occurs?
Comment 5 h.ilter 2004-06-11 11:55:45 UTC
HI->MBA: Please comment.
Comment 6 Mathias_Bauer 2004-11-02 17:01:04 UTC
Once the file is saved, there is no point in creating a version that would
exactly contain the same as the "original" version itself. I agree that the name
of the feature is a little bit misleading, but it works as designed.
Comment 7 watersrw 2004-11-02 17:22:29 UTC
1) the use of this box is counter-intuitive - closing is not automatically
associated with 'don't save then close'. Why would anyone ever assume it would
work like this?
2) this feature is great for saving a backup copy or history after each day's
work - to do this manually each and every time is a pain. 
3) couldn't we at least provide support for both, that is for saving a version
when you close even if you have saved and saving a version if you have not saved? 
Comment 8 watersrw 2004-11-02 17:24:14 UTC
We could mark this as an enhancement and perhaps framework since it covers all
the office types (spreadsheet, etc.)
Comment 9 Mathias_Bauer 2004-11-03 08:05:35 UTC
That would be possible, but enhancements will not make it into OOo2.0.
I'm not sure if we will do it, but this decision will be postponed.
Comment 10 Mathias_Bauer 2006-02-10 14:24:43 UTC
*** Issue 54098 has been marked as a duplicate of this issue. ***
Comment 11 mrtorrent 2006-10-06 07:02:21 UTC
Ah-ha, I've been wrestling with this for the past few months until I finally
found this report. I agree with watersrw -- I use this feature to save revisions
of my writings each day, so the fact that it appeared not to be saving a version
sometimes was quite frustrating. Besides the fact that the way it works is
counterintuitive, the language on the label for the checkbox is misleading.
"Always save a version on closing" means exactly that to me -- _always_. Not
"always if" or "always except." The use of "always" would seem to be to clarify
the ambiguity of "save a version on closing," but in this case "always" is not
always, so it's just plain wrong. If that makes sense...
Comment 12 positivek 2009-09-04 01:28:09 UTC
Still a problem in OO.org 3.1.0.
With the checkbox checked, I assume that each time I open the document, I will,
essentially, be working on a fresh new version since each time it closes a
version is saved (a "checkpoint" or "revision" for those using source control).
 As it's presently working (defective), it's as if I am _always working on
'trunk'_ code with no check-ins.  With office-type documents, and this feature,
it should act as if each time one closes the document, it's as if the document
was "checked in", with the timestamp rev#.
Comment 13 Mathias_Bauer 2009-11-11 14:13:54 UTC
@positivek: I'm not sure if I understand your problem. Let me describe how the
feature is meant to work:

Each time when the document is closed and *if it is modified at that time* the
user will be asked if the document shall be saved. If the user agrees and the
Checkbox for "save version on close" is checked, the document is saved along
with a copy of the current state. Next time when the document is opened, it will
open the last version (I assume that this is what you call "trunk").

"Always save a version when closing" is surely not what a user wants. But "only
save a version when the document is modified" also surely isn't also. What about
the following: 

If the document has been modified in the last editing session and it is closed,
ask for saving a version, regardless if the document is still modified or not?
Comment 14 eric.savary 2009-12-10 09:13:06 UTC
*** Issue 107570 has been marked as a duplicate of this issue. ***
Comment 15 webweaver64 2010-08-17 16:50:03 UTC
This is not intuitive. This should be changed. No person in their right mind
works on a document without saving in increments. Or no smart person does. This
feature has no use, doesn't do what the words mean, and either should be removed
or changed. My fault for assuming it was working i.e. Always save version on
closing? Checked = yes. Therefor on closing the version should be saved. Simple
question statement, however what you saying is not that. Based on what your
saying is how it works the question statement should be.
If you haven't saved, and are closing the document do you want a version saved?
imho: if the file has changed from it's opening saved time stamp, then on exit
the current version should be saved. This is how I thought it was working. If
the time stamp thing isn't possible, then if the box is checked, it should ask
on EVERY close.
Comment 16 Mathias_Bauer 2010-08-23 14:51:31 UTC
I agree that this feature is not intuitive. But how to make it better?

IMHO versions should be created explicitly, every "automatic" procedure as the
current one is doomed to fail as it either creates too much or too few versions.
Perhaps a good idea is to add a "create version" menu entry. 
We also could change the current feature so that in case it's active, a new
version is created when the file is closed if the file had been modified in the
current editing session, *even if the file had been saved already*. 
Comment 17 webweaver64 2010-08-24 19:52:49 UTC
If I have this box ticked. It should ask if I want a version saved every time I
close the document. Simple, and then is doing what it says. 

Sure it would be fabulous if it only asked if I made a change, but I don't think
that is necessary, and that could be an enhancement. That it did actually ask
each and every time the document was closing would be following the question
statement, and performing a task based on that question statement. 

I don't think this is an enhancement. I feel this is a necessary fix. This needs
to be changed so on every close a version is saved OR it asks if I want a
version saved. It would then matche the question statement. Anyone who has
ticked that box is making a decision that versions are important and should be
maintained. I'd rather have versions showing no change, then no version at all,
which I'm sure the majority or users are experiencing at the moment. I've made
multiple changes to documents I have this box ticked on. Believing it was doing
what it said. Saving a version on close. I have no versions other then the most
current one. Have 5 versions 2 of them with no change would be better then what
I have 1 version, and no sense of what the original document was.
Comment 18 Victor Sigal 2013-07-28 03:45:05 UTC
Agreet. This need to be fix.  Or at least need to modify explanation in help where this feature described as:
"If you have made changes to your document, OpenOffice automatically saves a new version when you close the document."
Comment 19 Andrea Pescetti 2014-07-06 11:47:34 UTC
For the record, the functionality used to be broken in OpenOffice 4.1.0 (and a few earlier versions) and was fixed by hanya in bug 123812.

This fixes the "Close with unsaved changes" scenario and aligns the behavior with the documentation (that now explicitly states that "Always save a version on closing" only applies to the "Close with unsaved changes" scenario).

The "manually save, then close" scenario is an enhancement that came up for discussion in bug 123812 but it's better described here, especially in Comment 16 above. So this should be discussed here.
Comment 20 Marcus 2017-05-20 10:45:31 UTC
Reset the assignee to the default "issues@openoffice.apache.org".